Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.application.backing
Class FooterBackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext
              com.bea.netuix.servlets.controls.application.backing.FooterBackingContext

All Implemented Interfaces
  Serializable

    public class FooterBackingContext

extends BackingContext

This class represents a portal header component.

See Also
  Serialized Form

Method Summary
`static FooterBackingContext` | `getFooterBackingContext(javax.servlet.http.HttpServletRequest request)` Obtain a reference to the current `FooterBackingContext` in the request.

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`ensureCurrentLifecycleStageLegalForOperation, getChildrenBackingContexts, getParentBackingContext, getParsedProperties, getProperties, getProperty, getProperty, getSendRedirectPath, getTopParentBackingContext, isBackingPhase, isVisible, sendRedirect, setBackingPhase, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFooterBackingContext

    public static FooterBackingContext getFooterBackingContext(javax.servlet.http.HttpServletRequest request)

  Obtain a reference to the current `FooterBackingContext` in the request. Note: the FooterBackingContext should only be obtained from a backing file. If you think you need this context from a JSP look at FooterPresentationContext.

  Parameters
    `request` - http servlet request.
  Returns
    a refence to the BookBackingContext or null if none exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.